Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.control.tibrv
Interface TibcoRV

All Superinterfaces:
  com.bea.control.Control, Serializable

public interface TibcoRV
extends com.bea.control.Control

Nested Class Summary
`static interface` | `TibcoRV.Callback`

Method Summary
`long` | `sendAEMessage(com.tibco.tibrv.TibrvMsg data, String sendSubject, double timeout)` sendAEMessage is used to send an AE Message via RVDTransport
`long` | `sendAEMessageAsString(String data, String fieldName, String subject, double timeout)` sendAEMessageAString is used to send an AE string Message via RVDTransport
`long` | `sendAEMessageAsXML(com.bea.xml.XmlObject data, String fieldName, String subject, double timeout)` sendAEMessageAsXML is used to send an AE XML Message via RVDTransport
`long` | `sendMessage(com.tibco.tibrv.TibrvMsg msg, String subject, double timeout)` sendMessage is used to send the message via RVDTransport or CMTransport
`long` | `sendMessageAsString(String msg, String fieldName, String subject, double timeout)` sendMessageAsString is used to send a string message via RVDTransport or CMTransport
`long` | `sendMessageAsXML(com.bea.xml.XmlObject msg, String fieldName, String subject, double timeout)` sendMessageAsXML is used to send an XML message via RVDTransport or CMTransport
`long` | `sendReply(com.tibco.tibrv.TibrvMsg replyMsg, com.tibco.tibrv.TibrvMsg sendMsg, double timeout)` sendReply is used to send a reply via RVDTransport or CMTransport
`long` | `sendReplyAsString(com.tibco.tibrv.TibrvMsg replyMsg, String sendMsg, String fieldName, double timeout)` sendReplyAsString is used to send a string reply via RVDTransport or CMTransport
`long` | `sendReplyAsXML(com.tibco.tibrv.TibrvMsg replyMsg, com.bea.xml.XmlObject sendMsg, String fieldName, double timeout)` sendReplyAsXML is used to send an XML reply via RVDTransport or CMTransport
`com.tibco.tibrv.TibrvMsg` | `sendRequest(com.tibco.tibrv.TibrvMsg msg, String sendSubject, double timeout)` sendRequest is used to send the message via RVDTransport or CMTransport
`com.tibco.tibrv.TibrvMsg` | `sendRequestAsString(String msg, String fieldName, String sendSubject, double timeout)` sendRequestAsString is used to send a string message via RVDTransport or CMTransport
`com.tibco.tibrv.TibrvMsg` | `sendRequestAsXML(com.bea.xml.XmlObject msg, String fieldName, String sendSubject, double timeout)` sendRequestAsXML is used to send an XML message via RVDTransport or CMTransport
`void` | `setStringEncoding(String encoding)` setStringEncoding sets the character encoding for converting between Java Unicode strings and wire format strings.
`void` | `setXMLProperties(com.bea.wli.control.tibRVControlDynamicProperties.TibRVDynamicPropertiesDocument doc)` setXMLProperties is used to set control properties dynamically

Method Detail

### sendMessage

    public long sendMessage(com.tibco.tibrv.TibrvMsg msg,
                            String subject,
                            double timeout)

  sendMessage is used to send the message via RVDTransport or CMTransport

  Parameters:
    `msg` - the message that needs to be sent
    `subject` - the subject of the message
  Returns:
    long returns sequence number if the control is CM
  Throws:
    `ControlException` - if any exception occurs while sending a message

### sendMessageAsString

    public long sendMessageAsString(String msg,
                                    String fieldName,
                                    String subject,
                                    double timeout)

  sendMessageAsString is used to send a string message via RVDTransport or CMTransport

  Parameters:
    `msg` - the string message that needs to be sent
    `fieldName` - the name of the TibRV field used to send the payload
    `subject` - the subject of the message
  Returns:
    long returns sequence number if the control is CM
  Throws:
    `ControlException` - if any exception occurs while sending a message

### sendMessageAsXML

    public long sendMessageAsXML(com.bea.xml.XmlObject msg,
                                 String fieldName,
                                 String subject,
                                 double timeout)

  sendMessageAsXML is used to send an XML message via RVDTransport or CMTransport

  Parameters:
    `msg` - the XML message that needs to be sent
    `fieldName` - the name of the TibRV field used to send the payload
    `subject` - the subject of the message
  Returns:
    long returns sequence number if the control is CM
  Throws:
    `ControlException` - if any exception occurs while sending a message

### sendRequest

    public com.tibco.tibrv.TibrvMsg sendRequest(com.tibco.tibrv.TibrvMsg msg,
                                                String sendSubject,
                                                double timeout)

  sendRequest is used to send the message via RVDTransport or CMTransport

  Parameters:
    `msg` - the string message that needs to be sent
    `sendSubject` - the send subject of the message
    `timeout` - time to wait for the reply
  Returns:
    TibrvMsg reply message for the request
  Throws:
    `ControlException` - if any exception occurs while sending a message

### sendRequestAsString

    public com.tibco.tibrv.TibrvMsg sendRequestAsString(String msg,
                                                        String fieldName,
                                                        String sendSubject,
                                                        double timeout)

  sendRequestAsString is used to send a string message via RVDTransport or CMTransport

  Parameters:
    `msg` - the string message that needs to be sent
    `fieldName` - the name of the TibRV field used to send the payload
    `sendSubject` - the send subject of the message
    `timeout` - time to wait for the reply
  Returns:
    TibrvMsg reply message for the request
  Throws:
    `ControlException` - if any exception occurs while sending a message

### sendReply

    public long sendReply(com.tibco.tibrv.TibrvMsg replyMsg,
                          com.tibco.tibrv.TibrvMsg sendMsg,
                          double timeout)

  sendReply is used to send a reply via RVDTransport or CMTransport

  Parameters:
    `replyMsg` - the reply message
    `sendMsg` - the request message
  Returns:
    long returns sequence number if the control is CM
  Throws:
    `ControlException` - if any exception occurs while sending a message

### sendReplyAsString

    public long sendReplyAsString(com.tibco.tibrv.TibrvMsg replyMsg,
                                  String sendMsg,
                                  String fieldName,
                                  double timeout)

  sendReplyAsString is used to send a string reply via RVDTransport or CMTransport

  Parameters:
    `replyMsg` - the reply message
    `sendMsg` - the request message
    `fieldName` - the name of the TibRV field used to send the payload
  Returns:
    long returns sequence number if the control is CM
  Throws:
    `ControlException` - if any exception occurs while sending a message

### sendReplyAsXML

    public long sendReplyAsXML(com.tibco.tibrv.TibrvMsg replyMsg,
                               com.bea.xml.XmlObject sendMsg,
                               String fieldName,
                               double timeout)

  sendReplyAsXML is used to send an XML reply via RVDTransport or CMTransport

  Parameters:
    `replyMsg` - the reply message
    `sendMsg` - the request message
    `fieldName` - the name of the TibRV field used to send the payload
  Returns:
    long returns sequence number if the control is CM
  Throws:
    `ControlException` - if any exception occurs while sending a message

### sendAEMessage

    public long sendAEMessage(com.tibco.tibrv.TibrvMsg data,
                              String sendSubject,
                              double timeout)

  sendAEMessage is used to send an AE Message via RVDTransport

  Parameters:
    `data` - the reply message
  Returns:
    long returns sequence number if the control is CM
  Throws:
    `ControlException` - if any exception occurs while sending a message

### sendAEMessageAsString

    public long sendAEMessageAsString(String data,
                                      String fieldName,
                                      String subject,
                                      double timeout)

  sendAEMessageAString is used to send an AE string Message via RVDTransport

  Parameters:
    `data` - the string message data
    `fieldName` - the name of the TibRV field used to send the payload
  Returns:
    long returns sequence number if the control is CM
  Throws:
    `ControlException` - if any exception occurs while sending a message

### sendAEMessageAsXML

    public long sendAEMessageAsXML(com.bea.xml.XmlObject data,
                                   String fieldName,
                                   String subject,
                                   double timeout)

  sendAEMessageAsXML is used to send an AE XML Message via RVDTransport

  Parameters:
    `data` - the XML message data
    `fieldName` - the name of the TibRV field used to send the payload
  Returns:
    long returns sequence number if the control is CM
  Throws:
    `ControlException` - if any exception occurs while sending a message

### setXMLProperties

    public void setXMLProperties(com.bea.wli.control.tibRVControlDynamicProperties.TibRVDynamicPropertiesDocument doc)
                          throws IllegalArgumentException

  setXMLProperties is used to set control properties dynamically

  Parameters:
    `doc` - the XML properties document
  Throws:
    `ControlException` - if any exception occurs while sending a message
    `IllegalArgumentException`

### setStringEncoding

    public void setStringEncoding(String encoding)
                           throws UnsupportedEncodingException

  setStringEncoding sets the character encoding for converting between Java Unicode strings and wire format strings.

  Parameters:
    `encoding` - character set for encoding
  Throws:
    `UnsupportedEncodingException`

### sendRequestAsXML

    public com.tibco.tibrv.TibrvMsg sendRequestAsXML(com.bea.xml.XmlObject msg,
                                                     String fieldName,
                                                     String sendSubject,
                                                     double timeout)

  sendRequestAsXML is used to send an XML message via RVDTransport or CMTransport

  Parameters:
    `msg` - the XML message that needs to be sent
    `fieldName` - the name of the TibRV field used to send the payload
    `sendSubject` - the send subject of the message
    `timeout` - time to wait for the reply
  Returns:
    TibrvMsg reply message for the request
  Throws:
    `ControlException` - if any exception occurs while sending a message

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD